QGIS Application - Bug report #4053
QGIS Globe crashes on launch
2011-07-06 12:54 PM - Tim Sutton

Status: Closed

Priority: Normal

Assignee: Pirmin Kalberer

Category: C++ plugins/Globe

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 14039
Description

When | launch the globe (current version : commit:1403f2c68b ) | get a crash - see stack trace below.

Crash occurred with both TMS (cache enabled) and with WorldWind.

[osgEarth] [OSGTerrainEngine] Map profile established
[osgEarth] [OSGTileFactory] Loading policy mode = STANDARD
[osgEarth] [OSGTerrainEngine] Sample ratio = 1

[osgEarth] [TerrainLayer] Initializing tile source ...

[osgEarth] [GDAL driver] Driver found 1 files:

[osgEarth] [GDAL driver] /usr/local/share/qgis/globe/world.tif

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff29a45d1 in ?7? () from /lib/x86_64-linux-gnu/libc.so.6
(gdb) bt
#0 0x00007ffff29a45d1 in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#1 0x00007ffff31efde0 in std::basic_string<char, std::char_traits<char>, std::allocator<char> >::basic_string(char const*,
std::allocator<char> const&) () from /usr/lib/x86_64-linux-gnu/libstdc++.s0.6
#2 0x00007fffdb005dcd in GDALTileSource::initialize(std::basic_string<char, std::char_traits<char>, std::allocator<char> >
const&, osgEarth::Profile const*) () from /usr/lib/osgPlugins-2.8.3/0sgdb_osgearth_gdal.so
#3 0x00007fffd5337c2b in osgEarth::TerrainLayer::initTileSource() () from /usr/lib/libosgEarth.so.1
#4 0x00007fffd52b5389 in osgEarth::ImageLayer::initTileSource() () from /usr/lib/libosgEarth.so.1
#5 0x00007fffd533794f in osgEarth::TerrainLayer::getTileSource() const () from /usr/lib/libosgEarth.so.1
#6 0x00007fffd52b7908 in osgEarth::ImageLayer::createlmage(osgEarth::TileKey const&, osgEarth::ProgressCallback®) ()
from /usr/lib/libosgEarth.so.1
#7 0x00007fffdb468c73 in OSGTileFactory::createPopulatedTile(osgEarth::MapFrame const&, CustomTerrain*,
osgEarth::TileKey const&, bool, bool, bool&) () from /usr/lib/osgPlugins-2.8.3/0sgdb_osgearth_engine_osgterrain.so
#8 0x00007fffdb46b5f6 in OSGTileFactory::createSubTiles(osgEarth::MapFrame const&, CustomTerrain*, osgEarth::TileKey
const&, bool)
() from /usr/lib/osgPlugins-2.8.3/0sgdb_osgearth_engine_osgterrain.so
#9 0x00007fffdb4583b9 in OSGTerrainEngineNode::onMaplInfoEstablished(osgEarth::Maplnfo const&) ()
from /usr/lib/osgPlugins-2.8.3/osgdb_osgearth_engine_osgterrain.so
#10 0x00007fffdb45dada in OSGTerrainEngineNode::postinitialize(osgEarth::Map const*, osgEarth:: TerrainOptions const&) ()
from /usr/lib/osgPlugins-2.8.3/osgdb_osgearth_engine_osgterrain.so
#11 0x00007fffd52e0285 in osgEarth::MapNode::getTerrainEngine() const () from /usr/lib/libosgEarth.so.1
#12 0x00007fffd52e0591 in osgEarth::MapNode::computeBound() const () from /usr/lib/libosgEarth.so.1
#13 0x00007fffd5dbd952 in 0sg::Group::computeBound() const () from /usr/lib/libosg.s0.65
#14 0x00007fffd5a33054 in osgViewer::ViewerBase::renderingTraversals() () from /usr/lib/libosgViewer.s0.65
#15 0x00007fffd68fe9b9 in QgsOsgViewer::paintGL (this=0x1812030)
at /home/timlinux/dev/cpp/Quantum-GlIS/src/plugins/globe/qgsosgviewer.h:99
#16 0x00007fffd65e51e0 in QGLWidget::glDraw() () from /usr/lib/libQtOpenGL.s0.4

#17 0x00007fffd65e4b79 in QGLWidget::paintEvent(QPaintEvent™) () from /usr/lib/libQtOpenGL.so0.4

#18 0x00007ffff533dc6a in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4

#19 0x00007fffd65ea1b1 in QGLWidget::event(QEvent*) () from /usr/lib/libQtOpenGL.s0.4

#20 0x00007ffff52ec9e4 in QApplicationPrivate::notify _helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4

#21 0x00007ffff52f13aa in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so0.4

#22 0x00007ffff6ffc6f7 in QgsApplication::notify (this=0x7fffffffda50, receiver=0x1812160, event=0x7fffffffcab0)
at /home/timlinux/dev/cpp/Quantum-GlS/src/core/qgsapplication.cpp:124

#23 0x00007ffff5f2b49c in QCoreApplication::notifylnternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so0.4

#24 0x00007ffff533aabd in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*,

QWidgetBackingStore---Type <return> to continue, or q <return> to quit---

History

#1 - 2011-07-06 12:58 PM - Tim Sutton

- Assignee set to Pirmin Kalberer

#2 - 2011-12-02 03:12 AM - Giovanni Manghi
- Pull Request or Patch supplied set to No

- Operating System deleted (linux (ubuntu))

- OS version deleted (11.04 64bit)

Confirmed also on Windows when clicking "launch globe".

On linux | get

Warning: Object::connect: No such signal QgsGdalProvider::statusChanged(
QString ) in
/home/paolo/build/qgis/Quantum-GlIS/src/core/raster/qgsrasterlayer.cpp:2445
<class 'qgis.core.QgsRasterLayer'>

Warning: Application asked to unregister timer 0x63000012 which is not
registered in this thread. Fix application.

Warning: Could not find plugin to read objects from file
".osgearth_engine_osgterrain”.

[osgEarth]* WARNING: Failed to load terrain engine driver for "osgterrain”
[osgEarth]* FAILED to create a terrain engine for this map

seg fault (core dumped)

#3 - 2011-12-02 03:43 AM - Pirmin Kalberer

The Windows crash doens't seem related to the Linux crash. On Windows the osgterrain driver is not found.

#4 - 2011-12-23 12:19 PM - Giovanni Manghi

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to Yes

#5 - 2012-03-20 08:27 AM - Paolo Cavallini
Globe plugin is regularly crashing also my qgis (master, self packaged on debian, both testing and unstable):
warning: Can't read pathname for load map: Errore di input/output.

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

Core was generated by “/usr/bin/qgis.bin'.

Program terminated with signal 11, Segmentation fault.

#0 0x00007f5578d815f2 in ?7? () from /lib/x86_64-linux-gnu/libc.s0.6

On another machine, | get:

UnsupportedOperationException: GeometryGraph::add(Geometry &): unknown geometry type:
N4geos4geom7PolygonE

ad infinitum, and | have to force quit.

#6 - 2012-10-05 09:30 AM - Pirmin Kalberer
- Status changed from Open to Closed

Crash on startup is solved in master branch
